"use client";

import React from "react";

const mapContext = React.createContext<any>(null);

interface MapProviderProps {
  children?: React.ReactElement | React.ReactNode;
  value: google.maps.Map | null;
}

const MapProvider = (props: MapProviderProps) => {
  const { children, value } = props;

  return <mapContext.Provider value={value}>{children}</mapContext.Provider>;
};

export default MapProvider;
export { mapContext };
